execute pathogen#infect()

colorscheme wildcharm
highlight SignColumn guibg=#222222

set winblend=0

if has('nvim-0.11')
  set winborder=solid
end

highlight ExtraWhitespace ctermbg=darkgreen guibg=darkgreen
match ExtraWhitespace /\s\+$\| \+\ze\t/

autocmd BufNewFile *.h       0r ~/.config/nvim/template/h
autocmd BufNewFile *.html    0r ~/.config/nvim/template/html5
autocmd BufNewFile *.mk      0r ~/.config/nvim/template/make
autocmd BufNewFile Makefile  0r ~/.config/nvim/template/make
autocmd BufNewFile *.hs      0r ~/.config/nvim/template/hs
autocmd BufNewFile *.adoc    0r ~/.config/nvim/template/adoc

"highlight Pmenu ctermbg=235 guibg=black
"highlight Pmenu ctermfg=white guifg=white
"highlight PmenuSel ctermbg=235 guibg=black
"highlight PmenuSel ctermfg=yellow guifg=yellow

" For Pandoc
let g:pandoc#spell#enabled=0
let g:pandoc#modules#disabled=["bibliographies"]
let g:jsx_ext_required = 0

" How many files / lines to remember.
set viminfo='20,<1000,s100,f1

lua require("init")
